Subject: [tap] Fun with random TAP generation.

From: Michael G Schwern <[email-masked]>
Date: Tue, 20 Jan 2009 17:53:44 -0800

ABNF grammars, abnfgen.
http://www.quut.com/abnfgen/

On the up side, I haven't seen it produce anything that looks invalid and I
already found a bug in the grammar.  On the down side, allowing such a wide
range of characters is a little disconcerting as it plunks in backspace and
such.  To see what's really going on, consider piping the output through less
-UR.  Or replace Safe-String's definition with 1*VCHAR.

Here's an example.

$ abnfgen -c -r1234567 ~/tmp/tap.abnf
##
#o_^N+|F,h#CDk`OWrPY{&3l(d
TAP version 3816
1..0 TODO 2549769604;
bail out! U
#0?5tA
#ERXe
NOT OK 6 # TODO qu7)y%
#<=bn'
BAIL OUT!
baIL out! z6:9m
#J1\g
#G
ok f
not ok 7
#S
#[aT2Vpj-ws".4x
#vBHM/LI;
#K
#~>$i
#!
BaIL Out!
#8
#*c@Q
#Z

Might be fun to shove that into TAP::Parser and see what happens.

-- 
I do have a cause though. It's obscenity. I'm for it.
    - Tom Lehrer

_______________________________________________
tap mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tap